The following sections explain how to upgrade a previous version of VIVR VMXL Connector to the latest version. The upgrade procedure varies according to whether or not you have created customized resources, by adding to or modifying the default resources provided by the Interact Server. Server resources that may be customized are listed in the following table.

Name of ResourceCriteria for Customized Resource
Interactions
You have designed and published your own Interactions.
Variables You have added or modified system variables in the Admin Console.
Custom Variable Types

You have created Custom Variable Types in the Admin Console.

Integration Points
You have created Integration Points in the Admin Console. 
Images and Media items
You have added content to the Images Library and/or the Media Library.
Themes
You have edited or customized the default themes provided.
Common styles
You have created or modified common styles.
SMS campaigns
You have created campaigns.
Client extensions
You have added application extensions.

Non-customized Upgrade

If you have not added or modified any of the resources listed above, you may uninstall the previous version and install the new one, while saving your projects in a dedicated location.

To upgrade to version 7.5:

  1. Save your projects folder (<INSTALL_DIR>\tomcat\jacada\vivr\projects) in a dedicated location.
  2. Uninstall your current version of VIVR VXML Connector.
  3. Using the setup wizard, install the new version of VXML Connector (v7.5).
  4. Place your projects folder (saved in Step 1) in the new installation directory:
    <NEW_INSTALL_DIR>\tomcat\jacada\vivr\projects
  5. If you are upgrading from a version older than 7.4, update your project files with the annotations introduced in version 7.4:
    Review all AudioToText files, and update the following annotations (if relevant):
    • Change {PlaceHolder} annotations to {StartData}
    • Change {Value} annotations to {DisplayData}
    For more information, refer to StartData and DisplayData.     

Customized Upgrade

If you are using one or more customized resources, the upgrade process involves upgrading the Interact Server to the latest version (v7.5).

Before you begin the upgrade, contact Jacada Support and request the following resources:

  • The upgrade package for Jacada Interact version 7.5.
  • The document Jacada Interact Installation Guide (available in PDF format). 

To upgrade to version 7.5:

  1. Perform an upgrade of the Interact Server, according to the instructions in the Installation Guide.
    Following the upgrade, do not start the Tomcat server. If the server was started inadvertently, stop it.
  2. From the upgrade package, copy the following .war files:
    • visualivr.war
    • vivrlaunchpad.war
    Then, place them in <INSTALL_DIR>\tomcat\webapps. (You will be replacing existing files.)
  3. Restart the Tomcat server.
  4. If you are upgrading from a version older than 7.4, update your project files with the annotations introduced in version 7.4:
    Review all AudioToText files, and update the following annotations (if relevant):
    • Change {PlaceHolder} annotations to {StartData}
    • Change {Value} annotations to {DisplayData}
    For more information, refer to StartData and DisplayData.

      

 

Revision:

Comments